## braa 0.82

=== Makefile ===

###################################################################
########################### UNCOMMENT THE CORRECT SETTING FOR YOUR SYSTEM
###################################################################

# Linux, FreeBSD, OpenBSD
CFLAGS = 
LDFLAGS = 

# Solaris / SPARC
# CFLAGS = -DSOLARIS_SPARC
# LDFLAGS = -lnsl -lsocket

###################################################################
########################### AVOID TOUCHING ANYTHING BELOW THIS LINE
###################################################################

SOURCES= braaasn.c braaoids.c braaprotocol.c queries.c braa.c
OBJECTS = ${SOURCES:.c=.o}


OUT= braa

LIBS = 

all: ${OBJECTS}
	cc $(OBJECTS) -o $(OUT) $(LDFLAGS) $(LIBS)
	strip $(OUT)

clean:
	rm -rf $(OBJECTS) $(OUT)

=== debian/changelog ===
braa (0.82-8) unstable; urgency=medium

  * d/watch: Convert to version 5.
  * d/control:
    ~ Set new homepage.
    ~ Bump to Standards-Version 4.7.2 (no changes required).
  * d/copyright: update years and minor cleanup.
  * d/patches/*: Patch headers are now fully DEP3 compliant.

 -- Marcos Fouces <marcos@debian.org>  Sun, 21 Sep 2025 17:55:46 +0200

braa (0.82-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Marcos Fouces ]
  * Improve manual page code.
  * Update d/copyright file.

 -- Marcos Fouces <marcos@debian.org>  Sat, 03 Dec 2022 15:07:04 +0100

braa (0.82-6) unstable; urgency=medium

  * Bump watch file standard to 4.
  * Improve man page.
  * Bump to Standards-Version 4.5.1 (no changes required).
  * Update copyright date.

 -- Marcos Fouces <marcos@debian.org>  Sat, 13 Feb 2021 00:53:13 +0100

braa (0.82-5) unstable; urgency=medium

  * d/control
    - Bump debhelper compatibility level to 13
    - Switch Build-Depends from debhelper to debhelper-compat, dropping
      d/compat as it is obsolete.
    - Bump to standards-version 4.3.0 (no changes required).
    - Set Rules-Requires-Root: no in source stanza.
  * d/pathes: cherry-pick bug-fixing upstream commits.
    -  Add 0001-Counter64-bugfix-by-Hirofumi-Kosaka-kosaka-rworks.jp.patch
    -  Add 0002-Bugfix-by-in-braa_EncodeShortBitstringOid-32-bit-num.patch
  * d/upstream/metadata: improve data.
  * Update uploader email to @debian.org.

 -- Marcos Fouces <marcos@debian.org>  Sun, 04 Oct 2020 23:34:19 +0200

braa (0.82-4) unstable; urgency=medium

  * Fix cross compilation. Thanks to Helmut Grohn. (Closes: #916367).
  * Fix release numbering. (Closes: #898263).
  * Update uploader email address.
  * Add upstream metadata.
  * Update copyright years.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sun, 24 Feb 2019 00:45:17 +0000

braa (0.82-3) unstable; urgency=medium

  * Team upload.
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Bump Standards-Version to 4.2.1
  * Switch to debhelper compat level 11

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 03 Sep 2018 21:41:41 +0200

braa (0.82-2) unstable; urgency=medium

  * Initial Debian release
  * Write a simple man page
  * Update to debhelper 9
  * Bump standards-version to 3.9.8
  * Add hardening compilation options.
  * Fix minor spelling typos.
  * Fix Makefile.

 -- Marcos Fouces <mfouces@yahoo.es>  Thu, 25 Aug 2016 08:33:28 +0200

braa (0.82-1kali3) kali; urgency=low

  * Added watch file (Closes: 0000854)

 -- Devon Kearns <dookie@kali.org>  Tue, 07 Jan 2014 14:02:39 -0700

braa (0.82-1kali2) kali; urgency=low

  * Removed desktop files

 -- Mati Aharoni <muts@kali.org>  Fri, 14 Dec 2012 19:46:35 -0500

braa (0.82-1kali1) kali; urgency=low

  * Kali Version

 -- Devon Kearns <dookie@kali.org>  Tue, 06 Nov 2012 12:47:46 -0700

braa (0.82-1) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Tue, 06 Nov 2012 11:47:21 -0700

=== debian/control ===
Source: braa
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://github.com/mteg/braa
Vcs-Git: https://salsa.debian.org/pkg-security-team/braa.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/braa
Rules-Requires-Root: no

Package: braa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mass SNMP scanner
 Braa is a mass snmp scanner. The intended usage of such a tool is of course
 making SNMP queries - but unlike snmpget or snmpwalk from net-snmp, it is able
 to query dozens or hundreds of hosts simultaneously, and in a single process.
 Thus, it consumes very few system resources and does the scanning VERY fast.
 .
 Braa implements its OWN snmp stack, so it does NOT need any SNMP libraries
 like net-snmp. The implementation is very dirty, supports only several data
 types, and in any case cannot be stated 'standard-conforming'! It was designed
 to be fast, and it is fast. For this reason (well, and also because of author
 laziness ;), there is no ASN.1 parser in braa - the user HAVE to know the
 numerical values of OID's
 (for instance .1.3.6.1.2.1.1.5.0 instead of system.sysName.0).

=== debian/watch ===
Version: 5
Source: https://github.com/mteg/braa.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Pgpmode: none
Uversionmangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
